# Pi.Alert - Network scanner
# Port: 20211
# Network device monitoring

version: "3.9"
services:
  pi.alert:
    container_name: Pi.Alert
    healthcheck:
      test: curl -f http://localhost:17811/ || exit 1
    mem_limit: 2g
    cpu_shares: 768
    security_opt:
      - no-new-privileges:true
    volumes:
      - /home/vish/docker/pialert/config:/home/pi/pialert/config:rw
      - /home/vish/docker/pialert/db:/home/pi/pialert/db:rw
      - /home/vish/docker/pialert/logs:/home/pi/pialert/front/log:rw
    environment:
      TZ: America/Los_Angeles
      PORT: 17811
    network_mode: host
    restart: on-failure:5
    image: jokobsk/pi.alert:latest
